require 'spec_helper'

describe Regiandruby do
	it 'Init Workspace api works correctly' do
    	expect(Regiandruby.RegiInitWorkspace('VSKEY','DEYSUB','******************','ld9413.wdf.sap.corp','30015','vs7new','tmp.apps.i076326.first_test')).to eq(true)		
#		expect(Regiandruby.RegiInitWorkspace('KEY','Username','Password','ld9413.wdf.sap.corp','30015','vs7new','tmp.apps.i076326.first_test')).to eq(nil)
	end
	it 'Checkout Packages api works correctly' do
    	expect(Regiandruby.RegiCheckoutPackages('VSKEY','DEYSUB','******************','ld9413.wdf.sap.corp','30015','vs7new','tmp.apps.i076326.activationxsjs')).to eq(true)		
#		expect(Regiandruby.RegiCheckoutPackages('KEY','Username','Password','ld9413.wdf.sap.corp','30015','vs7new','tmp.apps.i076326.first_test')).to eq(nil)
	end
	it 'Commit Packages api works correctly' do

		File.open('vs7new/tmp/apps/i076326/activationxsjs/Hellotest1.txt','w') do |file|
			file.puts 'Hello World'
		end
		expect(Regiandruby.RegiCommitPackage('VSKEY','DEYSUB','******************','ld9413.wdf.sap.corp','30015','vs7new',nil,nil,'tmp.apps.i076326.activationxsjs',nil,nil)).to eq(true)		
#		expect(Regiandruby.RegiCommitPackage('KEY','Username','Password','ld9413.wdf.sap.corp','30015','vs7new',nil,nil,'tmp.apps.i076326.first_test',nil,nil)).to eq(nil)
	end
	it 'Create Packages api works correctly' do

		expect(Regiandruby.RegiCreatePackage('VSKEY','DEYSUB','******************','ld9413.wdf.sap.corp','30015','vs7new',nil,nil,'tmp.apps.i076326.TestPackage')).to eq(true)
#		expect(Regiandruby.RegiCreatePackage('KEY','Username','Password','ld9413.wdf.sap.corp','30015','vs7new',nil,nil,'tmp.apps.i076326.TestPackage')).to eq(nil)
	end
	it 'Delete Packages api works correctly' do

		expect(Regiandruby.RegiDeletePackage('VSKEY','DEYSUB','******************','ld9413.wdf.sap.corp','30015','vs7new','tmp.apps.i076326.EV1')).to eq(true)
#		expect(Regiandruby.RegiCreatePackage('KEY','Username','Password','ld9413.wdf.sap.corp','30015','vs7new',nil,nil,'tmp.apps.i076326.EV1')).to eq(nil)
	end
	it 'Assign Packages api works correctly' do

		expect(Regiandruby.RegiAssignPackage('VSKEY','DEYSUB','******************','ld9413.wdf.sap.corp','30015','vs7new','TEST1',nil,'tmp.apps.i076326.TestPackage')).to eq(true)
#		expect(Regiandruby.RegiAssignPackage('KEY','Username','Password','ld9413.wdf.sap.corp','30015','vs7new',nil,nil,'tmp.apps.i076326.TestPackage')).to eq(nil)
	end
	it 'Unassign Packages api works correctly' do

		expect(Regiandruby.RegiUnassignPackage('VSKEY','DEYSUB','******************','ld9413.wdf.sap.corp','30015','vs7new','TEST1',nil,'tmp.apps.i076326.TestPackage')).to eq(true)
#		expect(Regiandruby.RegiUnassignPackage('KEY','Username','Password','ld9413.wdf.sap.corp','30015','vs7new',nil,nil,'tmp.apps.i076326.TestPackage')).to eq(nil)
	end
	it 'Create Delivery Unit api works correctly' do

		expect(Regiandruby.RegiCreateDeliveryUnit('VSKEY','DEYSUB','******************','ld9413.wdf.sap.corp','30015','vs7new','ZTEST','sap.com','1','1','0','DEYSUB',nil,nil,nil,nil)).to eq(false)
	end
	it 'Delete Delivery Unit api works correctly' do

		expect(Regiandruby.RegiDeleteDeliveryUnit('VSKEY','DEYSUB','******************','ld9413.wdf.sap.corp','30015','vs7new','TEST1','sap.com')).to eq(false)
	end
	it 'Delete Delivery Unit With Unassigning packages api works correctly' do

		Regiandruby.RegiAssignPackage('VSKEY','DEYSUB','******************','ld9413.wdf.sap.corp','30015','vs7new','TEST1',nil,'tmp.apps.i076326.first_test')
		expect(Regiandruby.RegiDeleteDeliveryUnitWithUnassign('VSKEY','DEYSUB','******************','ld9413.wdf.sap.corp','30015','vs7new','TEST1','sap.com')).to eq(false)
	end
	it 'Export Delivery Unit api works correctly' do

		expect(Regiandruby.RegiExportDeliveryUnit('VSKEY','DEYSUB','******************','ld9413.wdf.sap.corp','30015','vs7new','TEST1','sap.com','1','1','0','OuputDU',nil,nil,'OutputFolder')).to eq(false)
	end
	it 'Import Delivery Unit api works correctly' do

		expect(Regiandruby.RegiImportDeliveryUnit('VSKEY','DEYSUB','******************','ld9413.wdf.sap.corp','30015','vs7new','ZTEST','sap.com',nil,nil,nil,nil,'Inputfile',nil,nil,nil,nil,nil,nil)).to eq(false)
	end
	it 'Undeploy Delivery Unit api works correctly' do

		expect(Regiandruby.RegiUndeployDeliveryUnit('VSKEY','DEYSUB','******************','ld9413.wdf.sap.corp','30015','vs7new','TEST1','sap.com',nil)).to eq(false)
	end
	it 'Generic api works correctly' do

		expect(Regiandruby.RegiGeneric('VSKEY','DEYSUB','******************','ld9413.wdf.sap.corp','30015','vs7new',nil,nil,['create'])).to eq("The following help texts are available:\nregi help create change\nregi help create contributor\nregi help create deliveryUnit\nregi help create package\nregi help create workSpace\n")
	end
	it 'Clean api works correctly' do
		Regiandruby.RegiCreatePackage('VSKEY','DEYSUB','******************','ld9413.wdf.sap.corp','30015','vs7new',nil,nil,'tmp.apps.i076326.TestPackage1')
		expect(Regiandruby.RegiClean('VSKEY','DEYSUB','******************','ld9413.wdf.sap.corp','30015','vs7new',nil,nil,'tmp.apps.i076326.TestPackage1',nil)).to eq(true)
	end
end